import dynamix_sdk.base as _base


class CloudapiLbDeleteResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiLbDeleteProtocol(_base.BasePostAPIFunctionProtocol):
    def delete(
        self,
        *,
        lb_id: int,
        permanently: bool = False,
    ) -> CloudapiLbDeleteResultBool:
        ...
